- libbson 1.13.1 »
- API Reference »
- bson_t

# bson_new()

## Synopsis

    bson_t *
    bson_new (void);

## Description

The bson_new() function shall create a new bson_t structure on the heap. It should be freed with bson_destroy() when it is no longer in use.

## Returns

A newly allocated bson_t that should be freed with bson_destroy().

### See Also:

bson_concat

bson_init

bson_init_from_json

bson_init_static

bson_new_from_buffer

bson_new_from_data

bson_new_from_json

bson_reinit

bson_reserve_buffer

bson_sized_new

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.